name = "[EZ]夜视"
description = "按下开启按键后，白天和黄昏自动关闭夜视，夜晚自动开启夜视"
author = "EZ"
version = "3"
api_version_dst = 10

dst_compatible = true
all_clients_require_mod = false
client_only_mod = true

icon_atlas = "modicon.xml"
icon = "modicon.tex"

local string = ""
local keys = {"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","F1","F2","F3","F4","F5","F6","F7","F8","F9","F10","F11","F12","LAlt","RAlt","LCtrl","RCtrl","LShift","RShift","Tab","Capslock","Space","Minus","Equals","Backspace","Insert","Home","Delete","End","Pageup","Pagedown","Print","Scrollock","Pause","Period","Slash","Semicolon","Leftbracket","Rightbracket","Backslash","Up","Down","Left","Right"}
local keylist = {}
for i = 1, #keys do
    keylist[i] = {description = keys[i], data = "KEY_"..string.upper(keys[i])}
end
keylist[#keylist + 1] = {description = "Disabled", data = false}

local function AddConfig(label, name, options, default, hover)
    return {name = name, label = label, hover = hover or "", options = options, default = default}
end

configuration_options = 
{
    AddConfig("夜视开关按键", "light", keylist, "KEY_X"),
    AddConfig("夜视亮度增强按键", "light+", keylist, "KEY_EQUALS"),
    AddConfig("夜视亮度减弱按键", "light-", keylist, "KEY_MINUS")
}